<?php
/**
 * The set mapping relation view file of kingdee module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     kingdee
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='panel'>
  <form id='batchCreateForm' method='post' action='<?php echo inlink('batchCreateMappingRelation', "company={$company}");?>'>
    <table class='table table-form'>
      <thead>
        <tr class='text-center'>
          <th class='w-80px'><?php echo $lang->mappingrelation->type;?></th>
          <th class='w-180px'><?php echo $lang->mappingrelation->depositor;?></th>
          <th class='w-180px'><?php echo $lang->mappingrelation->category;?></th>
          <th class='w-180px'><?php echo $lang->mappingrelation->product;?></th>
          <th class='w-160px'><?php echo $lang->mappingrelation->invoice;?></th>
          <th class='w-100px'><?php echo $lang->mappingrelation->saleType;?></th>
          <th><?php echo $lang->mappingrelation->account;?></th>
          <th class='w-200px'><?php echo $lang->voucher->FExplanation;?></th>
        </tr>
      </thead>
      <?php for($i = 0; $i < 10; $i++):?>
      <tr>
        <td><?php echo html::select("type[$i]", $lang->mappingrelation->typeList, '', "class='form-control'");?></td>
        <td><?php echo html::select("depositor[$i]", $depositors, '', "class='form-control chosen'");?></td>
        <td><?php echo html::select("category[$i]", $categories, '', "class='form-control chosen'");?></td>
        <td><?php echo html::select("product[$i]", $products, '', "class='form-control chosen'");?></td>
        <td><?php echo html::select("invoice[$i]", array('') + $lang->invoice->typeList, '', "class='form-control'");?></td>
        <td><?php echo html::select("saleType[$i]", array('') + $lang->invoice->saleTypeList, '', "class='form-control'");?></td>
        <td>
          <?php echo html::select("account[$i][]", array('' => '') + $accounts, '', "class='form-control chosen' data-sort_field='#sortedAccount{$i}' multiple");?>
          <?php echo html::hidden("sortedAccount[$i]", '', "id='sortedAccount{$i}'");?>
        </td>
        <td><?php echo html::input("explanation[$i]", '', "class='form-control'");?></td>
      </tr>
      <?php endfor;?>
      <tr>
        <td class='text-center form-actions' colspan='7'><?php echo html::submitButton();?></td>
      </tr>
    </table>
  </form>
</div>
<?php include '../../common/view/footer.html.php';?>
